net.sf.jasperreports.components.table

## Class StandardGroupCell

- java.lang.Object
- - net.sf.jasperreports.components.table.StandardGroupCell

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, GroupCell, JRChangeEventsSupport, JRCloneable

      public class StandardGroupCell
      extends java.lang.Object
      implements GroupCell, java.io.Serializable, JRChangeEventsSupport

  Version:
    $Id: StandardGroupCell.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_CELL`
    `static java.lang.String` | `PROPERTY_GROUP_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardGroupCell()`
    `StandardGroupCell(GroupCell groupCell, ColumnFactory columnFactory)`
    `StandardGroupCell(java.lang.String groupName, Cell cell)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `Cell` | `getCell()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `java.lang.String` | `getGroupName()`
    `void` | `setCell(Cell cell)`
    `void` | `setGroupName(java.lang.String groupName)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_GROUP_NAME

          public static final java.lang.String PROPERTY_GROUP_NAME

      See Also:
        Constant Field Values

    - #### PROPERTY_CELL

          public static final java.lang.String PROPERTY_CELL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StandardGroupCell

          public StandardGroupCell()

    - #### StandardGroupCell

          public StandardGroupCell(java.lang.String groupName,
                           Cell cell)

    - #### StandardGroupCell

          public StandardGroupCell(GroupCell groupCell,
                           ColumnFactory columnFactory)

  - ### Method Detail

    - #### getCell

          public Cell getCell()

      Specified by:
        `getCell` in interface `GroupCell`

    - #### getGroupName

          public java.lang.String getGroupName()

      Specified by:
        `getGroupName` in interface `GroupCell`

    - #### setGroupName

          public void setGroupName(java.lang.String groupName)

    - #### setCell

          public void setCell(Cell cell)

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com